summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2016-05-31 02:26:26 -0400
committerPaul Smith <psmith@gnu.org>2016-05-31 03:17:26 -0400
commitef6c059e1e4ff119aef48f3ce164bef4cbf467e6 (patch)
treefa7f266a383ccb99b4e0bb04f4e11fa55b7d5ba3
parentcf4ed2ebe81c3188610cd76c113840bb2bc6197e (diff)
* DELETE_ON_ERROR: [SV 48061] Use "exit 1" for portability.
Reported by Joel Fredrikson <Joel.Fredrikson@it.uu.se>
-rw-r--r--tests/scripts/targets/DELETE_ON_ERROR8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/scripts/targets/DELETE_ON_ERROR b/tests/scripts/targets/DELETE_ON_ERROR
index db970932..f0d9f9b4 100644
--- a/tests/scripts/targets/DELETE_ON_ERROR
+++ b/tests/scripts/targets/DELETE_ON_ERROR
@@ -6,17 +6,17 @@ $details = "";
run_make_test('
.DELETE_ON_ERROR:
-all: ; false > $@
+all: ; exit 1 > $@
',
- '', "false > all\n#MAKE#: *** [#MAKEFILE#:3: all] Error 1\n#MAKE#: *** Deleting file 'all'", 512);
+ '', "exit 1 > all\n#MAKE#: *** [#MAKEFILE#:3: all] Error 1\n#MAKE#: *** Deleting file 'all'", 512);
run_make_test('
.DELETE_ON_ERROR:
all: foo.x ;
%.x : %.q ; echo > $@
-%.q : ; false > $@
+%.q : ; exit 1 > $@
',
- '', "false > foo.q\n#MAKE#: *** [#MAKEFILE#:5: foo.q] Error 1\n#MAKE#: *** Deleting file 'foo.q'", 512);
+ '', "exit 1 > foo.q\n#MAKE#: *** [#MAKEFILE#:5: foo.q] Error 1\n#MAKE#: *** Deleting file 'foo.q'", 512);
# This tells the test driver that the perl test script executed properly.
1;